Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.spi
Class AbstractPortalContext

    java.lang.Object
      org.jboss.portal.portlet.impl.spi.AbstractPortalContext

All Implemented Interfaces:
  PortalContext

    public class AbstractPortalContext

extends java.lang.Object
implements PortalContext

Version:
  $Revision: 1.1 $
Author:
  Julien Viet

Constructor Summary
`AbstractPortalContext()`
`AbstractPortalContext(java.util.Set windowStates, java.util.Set modes, java.util.Map props)`

Method Summary
`java.lang.String` | `getInfo()` Return info about the portal.
`java.util.Set` | `getModes()` Return the modes accepted by this portal context.
`java.util.Map` | `getProperties()` Return the set of properties of this portal context.
`java.util.Set` | `getWindowStates()` Return the window states accepted by this portal context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractPortalContext

    public AbstractPortalContext(java.util.Set windowStates,
                                 java.util.Set modes,
                                 java.util.Map props)

### AbstractPortalContext

    public AbstractPortalContext()

Method Detail

### getInfo

    public java.lang.String getInfo()

  Description copied from interface: `PortalContext`
  Return info about the portal.

  Specified by:
    `getInfo` in interface `PortalContext`
  Returns:
    portal infos

### getWindowStates

    public java.util.Set getWindowStates()

  Description copied from interface: `PortalContext`
  Return the window states accepted by this portal context.

  Specified by:
    `getWindowStates` in interface `PortalContext`

### getModes

    public java.util.Set getModes()

  Description copied from interface: `PortalContext`
  Return the modes accepted by this portal context.

  Specified by:
    `getModes` in interface `PortalContext`

### getProperties

    public java.util.Map getProperties()

  Description copied from interface: `PortalContext`
  Return the set of properties of this portal context.

  Specified by:
    `getProperties` in interface `PortalContext`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD